Chromium Code Reviews
Help | Chromium Project | Sign in
(342)

Issue 10871039: Replacing circular queue by single buffer in CPU Profiler. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years ago by rogulenko
Modified:
2 years, 11 months ago
Reviewers:
Jakob
Base URL:
http://git.chromium.org/external/v8.git@profiling
Visibility:
Public.

Description

Replacing circular queue by single buffer in CPU Profiler. BUG=None Committed: https://code.google.com/p/v8/source/detail?r=12650

Patch Set 1 #

Patch Set 2 : removed constants that are no longer needed #

Total comments: 9

Patch Set 3 : fixed code style and added an assert #

Patch Set 4 : fixed tests #

Total comments: 3

Patch Set 5 : fixed indentation #

Patch Set 6 : an attempt to fix a test that strangely crashed only once #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+89 lines, -82 lines) Patch
M src/cpu-profiler.h View 1 2 5 chunks +14 lines, -9 lines 1 comment Download
M src/cpu-profiler.cc View 1 2 3 4 6 chunks +24 lines, -33 lines 0 comments Download
M src/cpu-profiler-inl.h View 1 2 2 chunks +11 lines, -5 lines 1 comment Download
M src/platform-cygwin.cc View 1 2 2 chunks +3 lines, -3 lines 0 comments Download
M src/platform-freebsd.cc View 1 2 2 chunks +3 lines, -3 lines 0 comments Download
M src/platform-linux.cc View 1 2 3 4 5 2 chunks +3 lines, -3 lines 0 comments Download
M src/platform-macos.cc View 1 2 2 chunks +3 lines, -3 lines 0 comments Download
M src/platform-openbsd.cc View 1 2 3 4 5 2 chunks +3 lines, -3 lines 0 comments Download
M src/platform-solaris.cc View 1 2 2 chunks +3 lines, -3 lines 0 comments Download
M src/platform-win32.cc View 1 2 2 chunks +3 lines, -3 lines 0 comments Download
M test/cctest/test-cpu-profiler.cc View 1 2 3 4 5 6 chunks +19 lines, -14 lines 0 comments Download
Trybot results:
Project "None" does not have a commit queue.

Messages

Total messages: 5 (0 generated)
Jakob
http://codereview.chromium.org/10871039/diff/8004/src/cpu-profiler-inl.h File src/cpu-profiler-inl.h (right): http://codereview.chromium.org/10871039/diff/8004/src/cpu-profiler-inl.h#newcode60 src/cpu-profiler-inl.h:60: return NULL; Please either move this onto the same ...
3 years ago (2012-09-04 11:25:18 UTC) #1
rogulenko
http://codereview.chromium.org/10871039/diff/8004/src/cpu-profiler.cc File src/cpu-profiler.cc (right): http://codereview.chromium.org/10871039/diff/8004/src/cpu-profiler.cc#newcode51 src/cpu-profiler.cc:51: ticks_buffer_is_empty_(true), On 2012/09/04 11:25:18, Jakob wrote: > You should ...
2 years, 12 months ago (2012-09-04 13:14:55 UTC) #2
Jakob
LGTM http://codereview.chromium.org/10871039/diff/8004/src/cpu-profiler.cc File src/cpu-profiler.cc (right): http://codereview.chromium.org/10871039/diff/8004/src/cpu-profiler.cc#newcode51 src/cpu-profiler.cc:51: ticks_buffer_is_empty_(true), On 2012/09/04 13:14:55, rogulenko wrote: > On ...
2 years, 12 months ago (2012-09-04 13:36:22 UTC) #3
Jakob
http://codereview.chromium.org/10871039/diff/15005/src/cpu-profiler.cc File src/cpu-profiler.cc (right): http://codereview.chromium.org/10871039/diff/15005/src/cpu-profiler.cc#newcode254 src/cpu-profiler.cc:254: sampler_->DoSample(); {} please http://codereview.chromium.org/10871039/diff/15005/test/cctest/test-cpu-profiler.cc File test/cctest/test-cpu-profiler.cc (right): http://codereview.chromium.org/10871039/diff/15005/test/cctest/test-cpu-profiler.cc#newcode43 test/cctest/test-cpu-profiler.cc:43: ...
2 years, 12 months ago (2012-09-04 17:44:45 UTC) #4
Jakob
2 years, 11 months ago (2012-10-02 10:56:51 UTC) #5
Landed. Had to fix to issues to make it compile:

http://codereview.chromium.org/10871039/diff/24004/src/cpu-profiler-inl.h
File src/cpu-profiler-inl.h (right):

http://codereview.chromium.org/10871039/diff/24004/src/cpu-profiler-inl.h#new...
src/cpu-profiler-inl.h:68: ASSERT(ticks_buffer_is_initialized &&
ticks_buffer_is_empty_);
typo: ticks_buffer_is_initialized_ is missing its trailing underscore.

http://codereview.chromium.org/10871039/diff/24004/src/cpu-profiler.h
File src/cpu-profiler.h (left):

http://codereview.chromium.org/10871039/diff/24004/src/cpu-profiler.h#oldcode33
src/cpu-profiler.h:33: #include "circular-queue.h"
We still need this for the ASSERT in line 104.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 020f378